﻿using System;
using System.Windows;
using System.Reflection;
using System.IO;
using System.ComponentModel;

namespace MSWordDemoLoadingHTMLPage
{
    public class ViewModel
    {
        private string html;

        public string Html
        {
            get { return html; }
            set { html = value; }
        }

        public ViewModel()
        {
            string resource = "test.html";
            Uri uri = GetResourceUri(resource);
            using (Stream stream = Application.GetResourceStream(uri).Stream)
            {
                StreamReader reader = new StreamReader(stream);
                this.Html = reader.ReadToEnd();
            }        
        }

        private static Uri GetResourceUri(string resource)
        {
            AssemblyName assemblyName = new AssemblyName(typeof(MainPage).Assembly.FullName);
            string resourcePath = "/" + assemblyName.Name + ";component/" + resource;
            Uri resourceUri = new Uri(resourcePath, UriKind.Relative);

            return resourceUri;
        }

    }
}
